package com.gh.gamecenter.entity

import com.gh.gamecenter.feature.entity.Auth
import com.google.gson.annotations.SerializedName

data class UserAuthEntity(
    @SerializedName("_id")
    var id: String = "",
    @SerializedName("auth_id")
    var authId: String = "",
    var auth: Auth = Auth(),
    var time: TimeEntity? = null,
    @SerializedName("is_show")
    var isShow: Boolean = false
) {
    data class TimeEntity(
        var start: Long = 0L,
        var end: Long = 0L
    )
}